Kerbal Space Program - Bug #2386

Crash when reverting to SPH
04/13/2014 12:15 PM - Claw

Status: Closed Start date: 04/13/2014
Severity: Very Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.23.5 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

v. 0.23.5.464

WHAT HAPPENS:
Reverting to SPH right about when the craft is dropping (after launch) causes the game to crash.

HOW TO REPRODUCE:

- Start a new save game

- Go to SPH and build/load a craft (see supplied picture and craft file)

- Launch craft

- When graphics show up, but before ship drops press Escape and revert

NOTES:

- Crashes 1 out of every 3 to 4 reverts. Sometimes on the first revert, sometimes later. The attached logs are for a crash on the first
attempt.

- It seems to be very sensitive to timing. | can get it crash more often when | revert right as the plane drops, or literally just prior to it
dropping.

- Another user reported the same crash here with a more complex ship:
http://forum.kerbalspaceprogram.com/threads/76264-game-crash-when-reverting-to-hangar-before-the-ship-is-dropped

- Workaround: Simply revert much earlier, or wait a couple seconds after the ship drops to revert.

- Seems to be similar to these other two bugs, but they are marked as closed or duplicate...

e http://bugs.kerbalspaceprogram.com/issues/2019
e http:/bugs.kerbalspaceprogram.com/issues/1997

Related issues:

Related to Kerbal Space Program - Bug #2019: Consistent crash when reverting ... Duplicate 01/05/2014
Related to Kerbal Space Program - Feedback #1997: Game crashes on reverting Closed 12/23/2013
Related to Kerbal Space Program - Bug #2220: Game crash on revert flight Closed 03/16/2014
History

#1 - 11/29/2014 07:34 PM - Squelch
- Category changed from Bug Tracker to Gameplay

#2 - 07/27/2015 05:55 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#3 - 07/17/2016 09:30 AM - TriggerAu

- Status changed from New to Needs Clarification

#4 - 07/17/2016 05:56 PM - Claw
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
http://forum.kerbalspaceprogram.com/threads/76264-game-crash-when-reverting-to-hangar-before-the-ship-is-dropped
http://bugs.kerbalspaceprogram.com/issues/2019
http://bugs.kerbalspaceprogram.com/issues/1997

- Platform Windows added
- Platform deleted (Win32)

Doesn't seem to happen anymore in 1.
